document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_3400 | ---
+++
@@ -1,5 +1,5 @@
#/usr/bin/env sh
-function switch_env() {
+function _switch_env() {
if [[ $fooenv == "" || $language_name == "" ]]; then
exit
fi
@@ -24,23 +24,23 @@
function ppyenv() {
language_name='Python'
fooenv='pyenv'
- switch_env
+ _switch_env
}
function prbenv() {... | bash |
d_bash_3401 | ---
+++
@@ -2,25 +2,14 @@
# Trivial script to create virtualenv and do initial package install for dev
# or deployment
# (Requires system pip to be available)
+set -e
VENV_PATH=./venv
-VIRTUALENV_OPTIONS=""
+VIRTUALENV_OPTIONS="--system-site-packages"
# Requirements to run the django app:
REQUIREMENTS_FILE=re... | bash |
d_bash_3402 | ---
+++
@@ -4,6 +4,6 @@
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
-./compute_octave_metric.sh "$@" \
+"$(dirname "$0")"/compute_octave_metric.sh "$@" \
--path "$(dirname "$0")"/../../../third_party/hdrvdp-2.2.2/ \
"$(dirname "$0")"/compute-hdrvdp.m | bash |
d_bash_3403 | ---
+++
@@ -7,7 +7,7 @@
# edit
export EDITOR='vi'
-export VISUAL='subl' #'/usr/bin/vim'
+export VISUAL='mate' #subl
alias edit="${VISUAL}"
# e quick edit alias - with no args, opens editor to the current dir | bash |
d_bash_3404 | ---
+++
@@ -17,8 +17,17 @@
exit 1
fi
-LOCAL_FIPS_REPOSITORY="local_repository(\n name = \"boringssl\",\n path = \"third_party\/boringssl_fips\/\",\n)"
-sed -i '/'"${APPEND_AFTER}"'/a\\n'"${LOCAL_FIPS_REPOSITORY}" WORKSPACE
+mapfile LOCAL_FIPS_REPOSITORY <<EOM
+local_repository(
+ name = "boringssl",
+ path ... | bash |
d_bash_3405 | ---
+++
@@ -9,7 +9,7 @@
'BINARIES' )
VERSION="0.2.6"
- ${RESOURCES_FETCH_URL_SCRIPT} http://downloads.sourceforge.net/project/samtools/tabix/tabix-0.2.6.tar.bz2?r=http%3A%2F%2Fsourceforge.net%2Fprojects%2Fsamtools%2Ffiles%2Ftabix%2F&ts=1364484044&use_mirror=iweb tabix-0.2.6.tar.bz2
... | bash |
d_bash_3406 | ---
+++
@@ -2,15 +2,30 @@
set -ex
-read -r -a PLUGINS_LIST_ARR <<< "$PLUGINS_LIST"
-rm -rf $(printf 'gems/plugins/%s ' "${PLUGINS_LIST_ARR[@]}")
+if [ -z "$SKIP_YARN" ]; then
+ read -r -a PLUGINS_LIST_ARR <<< "$PLUGINS_LIST"
+ rm -rf $(printf 'gems/plugins/%s ' "${PLUGINS_LIST_ARR[@]}")
-export DISABLE_POSTI... | bash |
d_bash_3407 | ---
+++
@@ -10,15 +10,8 @@
envHooks+=(make_glib_find_gsettings_schemas)
-glibFixupPhase() {
- # Move gschemas in case the install flag didn't help
- if [ -d "$prefix/share/glib-2.0/schemas" ]; then
- mkdir -p "$prefix/share/gsettings-schemas/$name/glib-2.0"
- mv "$prefix/share/glib-2.0/schema... | bash |
d_bash_3408 | ---
+++
@@ -2,7 +2,7 @@
set -euxfo pipefail;
-declare -r LATEST_RACKET_VERSION="6.12";
+declare -r LATEST_RACKET_VERSION="7.0";
docker image tag "jackfirth/racket:${LATEST_RACKET_VERSION}" "jackfirth/racket:latest";
@@ -21,6 +21,7 @@
foreach push \
"latest" \
+ "7.0" \
"6.12" \
"6.11" \... | bash |
d_bash_3409 | ---
+++
@@ -22,6 +22,9 @@
# Check if we can build Tink python package.
(
cd python
+ # Needed for setuptools
+
+ use_bazel.sh $(cat .bazelversion)
# Install the proto compiler
PROTOC_ZIP='protoc-3.11.4-linux-x86_64.zip'
curl -OL "https://github.com/protocolbuffers/protobuf/releases/dow... | bash |
d_bash_3410 | ---
+++
@@ -21,6 +21,7 @@
rm -rf _site
rm -rf _cache
+stack install
hblog build
rm -rf _cache | bash |
d_bash_3411 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-VERSION=0.4.3
+VERSION=0.4.5
TMPDIR=/tmp/google-api-php-client
RELFILE=/tmp/google-api-php-client-${VERSION}.tar.gz
| bash |
d_bash_3412 | ---
+++
@@ -16,10 +16,12 @@
oc login --insecure-skip-tls-verify=true -u developer -p developer https://$OPENSHIFT_IP:8443
oc new-project 12factor-dev
oc new-build --binary --name=my12factorapp
-oc create -f pipeline.yml
+oc new-project ci
+oc create -f pipeline.yml -n ci
#Setup Jenkins credentials
oc login -u sy... | bash |
d_bash_3413 | ---
+++
@@ -6,13 +6,13 @@
source $HOME/.gvm/scripts/gvm
-mkdir -p /scratch/build/k8s.io
-mv /scratch/src/kubernetes /scratch/build/k8s.io/kubernetes
+mkdir -p /scratch/build/src/k8s.io
+mv /scratch/src/kubernetes /scratch/build/src/k8s.io/kubernetes
cd /scratch/build
gvm install go1.4
gvm use go1.4
-cd /scr... | bash |
d_bash_3414 | ---
+++
@@ -1,6 +1,7 @@
-# Plan Repository - https://github.com/nathenharvey/nathenharvey-plans
pkg_origin=nathenharvey
pkg_name=etherpad-lite
+pkg_description="A simple etherpad-lite service"
+pkg_upstream_url=https://github.com/nathenharvey/nathenharvey-plans
pkg_version=1.6.0
pkg_maintainer="Nathen Harvey <nha... | bash |
d_bash_3415 | ---
+++
@@ -2,7 +2,7 @@
LINES=$2
> $MAIN_TARGET.temp
-TARGETS=$(make print-$MAIN_TARGET | sed 's/HE_AN_LIST=//g')
+TARGETS=$(make print-$MAIN_TARGET | sed 's/.*=//g')
for T in $TARGETS
do
echo make $T >> $MAIN_TARGET.temp | bash |
d_bash_3416 | ---
+++
@@ -27,5 +27,7 @@
sudo chmod 0644 /etc/systemd/system/consul.service
sudo mkdir -p /etc/sysconfig/consul
sudo chown root:root /etc/sysconfig/consul
-sudo chmod 0644 /etc/sysconfig/consul
-
+sudo chmod 00644 /etc/sysconfig/consul
+sudo mkdir -p /etc/consul
+sudo chown root:root /etc/consul
+sudo chmod 0644 ... | bash |
d_bash_3417 | ---
+++
@@ -15,7 +15,8 @@
sourceConv=phonolex.utf8.txt
tempDict=phonolex.temp
htkDict=dictionary.txt
-htkDict6=dictionary-6.txt
+htkDict6=dictionary-ext.txt
+htkDictde=dictionary-de.txt
echo "Converting to UTF8"
iconv --from-code=ISO-8859-1 --to-code=UTF-8 $sourceDict > $sourceConv
@@ -30,3 +31,6 @@
cat $temp... | bash |
d_bash_3418 | ---
+++
@@ -2,24 +2,38 @@
function deploy-artifact {
maven_bin=$1
artifact_id=$2
- filename=build/artifacts/org.campagnelab.mps.$2/$2_*.zip
+ if [ "$#" == "4" ]; then
+ original_filename=$(ls -1 build/artifacts/$3 | $4)
+ else
+ original_filename=$(ls -1 build/artifacts/$3)
+ fi
+ filename=$(bas... | bash |
d_bash_3419 | ---
+++
@@ -5,8 +5,9 @@
packages=(
webpack@beta
webpack-dev-server@beta
+ karma-cli
+ eslint
gulp-cli
- bower
)
sudo npm install -g "${packages[@]}" | bash |
d_bash_3420 | ---
+++
@@ -4,8 +4,8 @@
BUILD_OSTYPE="Debian_64"
# last 'STABLE' version
-BOX="debian-7.8.0-amd64"
-ISO_URL="http://cdimage.debian.org/mirror/cdimage/release/7.8.0/amd64/iso-cd/debian-7.8.0-amd64-netinst.iso"
-ISO_MD5="a91fba5001cf0fbccb44a7ae38c63b6e"
+BOX="debian-7.6.0-amd64"
+ISO_URL="http://mirror.i3d.net/pub... | bash |
d_bash_3421 | ---
+++
@@ -11,14 +11,35 @@
###########################
# Alias
+# CAT, GREP
+
alias y='"$GREP" -i'
alias n='"$GREP" -vi'
+alias c='cat'
+alias w='cat >'
+alias a='cat >>'
+
+# XARGS
+
alias x='xargs'
+
alias xy='xargs "$GREP" -i'
alias xn='xargs "$GREP" -iv'
+alias xc='xargs cat'
+alias xw='xargs cat >'... | bash |
d_bash_3422 | ---
+++
@@ -17,4 +17,4 @@
cmd_proxy="docker run -it --rm ${volumes} -w /app ${image}"
fi
-$cmd_proxy $@
+$cmd_proxy "$@" | bash |
d_bash_3423 | ---
+++
@@ -1,33 +1,39 @@
+#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Function to remove files and create symbolic links.
+create_new_symlink () {
+ if [ -f $2 ];
+ then
+ echo Removing file $2
+ rm $2
+ elif [ -h $2 ];
+ then
+ echo Removing sy... | bash |
d_bash_3424 | ---
+++
@@ -3,7 +3,7 @@
# Get current dir (so run this script from anywhere)
export DOTFILES_DIR
-DOTFILES_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+DOTFILES_DIR="$( builtin cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# Update dotfiles itself first
| bash |
d_bash_3425 | ---
+++
@@ -8,8 +8,11 @@
lein modules do clean, install &&
date && echo "Generating search API documentation" &&
(cd search-app && lein with-profile docs generate-docs) &&
-date && echo "Building uberjars" &&
-lein with-profile uberjar modules uberjar &&
+if [ "$1" != "skip-uberjars" ]
+ then
+ date && echo "Bui... | bash |
d_bash_3426 | ---
+++
@@ -1,6 +1,9 @@
sasswatch() {
# Usage:
# $ sasswatch
+ # sass [...] --watch "style.scss:style.css"
+ #
+ # $ sasswatch "style.scss:style.css"
# sass [...] --watch "style.scss:style.css"
#
# $ sasswatch my_style
@@ -12,15 +15,16 @@
# $ sasswatch my_style.scss... | bash |
d_bash_3427 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Purpose: Promote all the tables to the un-timestamped dataset
-if [ ! "${NO_PROMOTE}" = "true" ]; then
+if [ ! "${NO_PROMOTE:-}" = "true" ]; then
for TABLE in $(bq ls "${GCP_BIGQUERY_DATASET}_${PIPELINE_DATE}" | awk '{print $1}' | tail +3 | xargs); do
echo "Removing t... | bash |
d_bash_3428 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash -x
export DISPLAY=:99
bundle install --path "${HOME}/bundles/${JOB_NAME}" --deployment
-bundle exec rake db:create db:migrate db:test:prepare && RAILS_ENV=test bundle exec rake test test:cleanup --trace && RAILS_ENV=production bundle exec rake db:create assets:precompile --trace... | bash |
d_bash_3429 | ---
+++
@@ -24,6 +24,8 @@
alias l='ls -CF'
alias llg='ll | grep '
+alias duh='du -h --max-depth=1'
+
# bash completion
# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile | bash |
d_bash_3430 | ---
+++
@@ -14,7 +14,7 @@
fi
nginx_public_directory="/usr/share/nginx/html"
-s3_bucket_name=""
+s3_bucket_name="CHANGE_ME"
### Download all JSON files from API Doc store
echo "Downloading Swagger spec from S3" | bash |
d_bash_3431 | ---
+++
@@ -1,10 +1,6 @@
-if [ "$(uname)" == "Darwin" ]; then
- # The OS X build is based on
- # https://github.com/Homebrew/homebrew-core/blob/master/Formula/sstp-client.rb
- OPTS="--disable-ppp-plugin --sbindir=$PREFIX/bin"
-else
- OPTS="--sbindir=$PREFIX/bin"
-fi
+# The OS X build is based on
+# https:... | bash |
d_bash_3432 | ---
+++
@@ -1,5 +1,5 @@
#! /bin/sh
cpp -DINCLUDE_VARIABLES -P -DALL_FILES ${srcdir:-.}/gdk-pixbuf.symbols | sed -e '/^$/d' -e 's/ G_GNUC.*$//' -e 's/ PRIVATE$//' | sort > expected-abi
-nm -D .libs/libgdk_pixbuf-2.0.so | grep " [BDTR] " | cut -d ' ' -f 3 | sort > actual-abi
+nm -D -g --defined-only .libs/libgdk_pi... | bash |
d_bash_3433 | ---
+++
@@ -10,7 +10,7 @@
yum update -y
yum install -y scsi-target-utils
elif [[ ! -z $APT ]]; then
- apgt-get update -y
+ apt-get update -y
apt-get install -y thin-provisioning-tools
else: | bash |
d_bash_3434 | ---
+++
@@ -18,11 +18,9 @@
brew outdated "json-c" || brew upgrade "json-c"
brew install "asciidoc"
+ brew install "python"
brew install "pyenv"
eval "$(pyenv init -)"
- pyenv install 2.7.6
- pyenv global 2.7.6
- pyenv rehash
pip install cpp-co... | bash |
d_bash_3435 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+set -e # Fail on errors
+
sudo apt-get install git-buildpackage
# Get latest alpine packaging | bash |
d_bash_3436 | ---
+++
@@ -26,4 +26,10 @@
SSH_CMD="ssh $1 -i $2"
fi
+# Disable strict key host checking
+# If the sandbox is recreated frequently, we might have a name in known_hosts
+# that points to a different IP address.
+# This *is* susceptible to man-in-the-middle attacks, so be careful.
+SSH_CMD="$SSH_CMD -o StrictHo... | bash |
d_bash_3437 | ---
+++
@@ -6,7 +6,8 @@
. ../../config.sh
make -C ../../src DEBUG=1 wrapper
-cp ../../src/APIWrapper/APIWrapper NativeApps/Linux
+mkdir -p NativeApps/Linux/
+cp ../../src/APIWrapper/APIWrapper NativeApps/Linux/
"$FLEX_SDK/bin/amxmlc" -library-path+=../../lib/bin/FRESteamWorksLibLinux.swc \
... | bash |
d_bash_3438 | ---
+++
@@ -25,6 +25,7 @@
"src/plugins/cpptemplate/"*.cpp \
"src/plugins/directoryvalue/"*.cpp \
"src/plugins/mini/mini.c" \
+ "src/plugins/yambi/"*.cpp \
"src/plugins/yamlcpp/"*.{c,cpp} \
"src/plugins/yamlsmith/"*.{c,cpp} \
"src/plugins/yanlr/"*.{c,cpp} | bash |
d_bash_3439 | ---
+++
@@ -12,5 +12,13 @@
git checkout gh-pages
rsync -avz $site_dir/ $tmp_dir
git add $version
+
+if grep -q $version _data/versions.yml; then
+ echo "$version exists in _data/versions.yml"
+else
+ echo -e "\n- $version" >> _data/versions.yml
+ git add _data/versions.yml
+fi
+
git commit -m "CI genera... | bash |
d_bash_3440 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
export MEMCACHED_CID=membase-1.7.1.1-3-g185ce38
-export EP_ENGINE_CID=1.7.2-93-gdb9b25b
+export EP_ENGINE_CID=1.7.3r-23
export VBUCKETMIGRATOR_CID=0fdc96cafc7227d52cbf4682ba7462923b773dae
specfile=membase-zynga.spec | bash |
d_bash_3441 | ---
+++
@@ -16,10 +16,10 @@
source $(dirname $0)/common.sh
-if [ ! -v RUNTIME ]; then
- echo 'Must set $RUNTIME' >&2
+if [ ! -v RUNTIME_TEST_NAME ]; then
+ echo 'Must set $RUNTIME_TEST_NAME' >&2
exit 1
fi
install_runsc_for_test runtimes
-test_runsc "//test/runtimes:${RUNTIME}_test"
+test_runsc "//test/r... | bash |
d_bash_3442 | ---
+++
@@ -10,13 +10,15 @@
INSTALLER="brew install"
elif [[ "$(uname)" == "Linux"* ]]; then
- export PATH=/home/spin/.nix-profile/bin:$PATH
+ # Source /etc/profile, it will set up nix, shadowenv and other goodies
+ . /etc/profile
if ! command -v nix-env -f &> /dev/null; then
echo "No proper instal... | bash |
d_bash_3443 | ---
+++
@@ -1,13 +1,15 @@
#!/bin/sh
+ticket_number=$1
+
if [ $# -ne 1 ]; then
- echo "指定された引数は$#個です。" 1>&2
- echo "引数にチケット番号を渡してください。" 1>&2
+ echo "指定された引数は$#個です。"
+ echo "引数にチケット番号を渡してください。"
exit 1
fi
-if expr "$1" : '[0-9]*' > /dev/null ; then
- echo "チケット番号 $1 の Pull Request を作成します。" 1>&2
+if expr "... | bash |
d_bash_3444 | ---
+++
@@ -1,6 +1,8 @@
#!/bin/bash
TARGET=vendor
STAGE=gh_pages_stage
+
+set -e
# Check if all files are commited
if [ ! -z "$(git status --porcelain)" ]; then | bash |
d_bash_3445 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.4%2B11/OpenJDK11U-jdk_x64_linux_hotspot_11.0.4_11.tar.gz"
;;
java12)
- echo "https://github.com/AdoptOpenJDK/openjdk12-binaries/releases/download/jdk-12.0.1%2B12/OpenJDK12U-jdk_x64_linux_hotspot_12.0.... | bash |
d_bash_3446 | ---
+++
@@ -26,8 +26,6 @@
diskSizeGB="$( getDiskSize )"
-echo "Setting disk size of vm ${VM_IDENTIFIER} to ${diskSizeGB}gb"
-
cliaas-linux replace-vm \
--config cliaas-config/config.yml \
--identifier "${VM_IDENTIFIER}" \ | bash |
d_bash_3447 | ---
+++
@@ -1,3 +1,5 @@
export EDITOR='vi'
export SSH_KEY_PATH="~/.ssh/id_rsa"
export DEFAULT_USER=dewaldv
+
+if [ -f ~/.zshenv ]; then source ~/.zshenv; fi | bash |
d_bash_3448 | ---
+++
@@ -5,7 +5,7 @@
basepath="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-mkdir -p $ROOT/{bin,lib,share/man,share/info,opt,java}
+mkdir -p $ROOT/{bin,lib,share/man,share/info,opt}
cat >>$HOME/.bashrc <<'EOL' | bash |
d_bash_3449 | ---
+++
@@ -3,5 +3,7 @@
return
fi
-alias o="nautilus"
+if which nautilus &> /dev/null;then
+ alias o="nautilus"
+fi
| bash |
d_bash_3450 | ---
+++
@@ -26,6 +26,7 @@
source ~/.nvm/nvm.sh
+nvm install v6.3.1
nvm list
-# nvm use v0.12.2
-nvm use v0.12.9
+# nvm use v6.3.1
+nvm use v6.3.1 | bash |
d_bash_3451 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
/opt/envsubst < /envsubst_template.json > /conf/runtime.json
-exec java -XX:+UseContainerSupport -XX:MaxRAMPercentage=75.0 -jar /git-bridge.jar /conf/runtime.json
+exec java -XX:+UseContainerSupport -XX:MaxRAMPercentage=50.0 -jar /git-bridge.jar /conf/runtime.json | bash |
d_bash_3452 | ---
+++
@@ -23,16 +23,18 @@
thisFolder="."
fi;
-# stopping and removing docker containers
-for container in `cat $thisFolder/dockerContainerCeph.$EXECUTOR_NUMBER.swift`; do
- if [ -n "$DEBUG" ]; then
- docker logs $container
- fi
- echo "Stopping and removing docker container $container"
- ... | bash |
d_bash_3453 | ---
+++
@@ -14,7 +14,7 @@
# list all panes
tmux list-panes -a -F '#{pane_active}#{window_active}-#{session_id} #{pane_id}' |
# filter out current pane (use -F to match $ in session id)
-grep -v -F "$(tmux display-message -p '11-#{session_id}')" |
+grep -v -F "$(tmux display-message -p '11-#{session_id} ')" |
# ta... | bash |
d_bash_3454 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.12%2B7/OpenJDK11U-jdk_x64_linux_hotspot_11.0.12_7.tar.gz"
;;
java16)
- echo "https://github.com/AdoptOpenJDK/openjdk16-binaries/releases/download/jdk-16.0.1%2B9/OpenJDK16U-jdk_x64_linux_hotspot_16.0.1_9.t... | bash |
d_bash_3455 | ---
+++
@@ -6,12 +6,13 @@
cmake -DCUSTOM_ALLOC=$CUSTOM_ALLOC -DCMAKE_BUILD_TYPE=Debug -DCOVERAGE=ON $SOURCE
make
ctest -V
-ctest -T memcheck | tee memcheck.out
-if grep -q 'Memory Leak\|IPW\|Uninitialized Memory Conditional\|Uninitialized Memory Read' memcheck.out; then
- exit 1
-fi
if [ "$CC" == "gcc" ]; th... | bash |
d_bash_3456 | ---
+++
@@ -3,7 +3,7 @@
source /usr/share/virtualenvwrapper/virtualenvwrapper.sh
workon girder
cd /home/cpatrick/Dashboards/girder
-pip install -r requirements.txt -r requirements-dev.txt -r plugins/metadata_extractor/requirements.txt -r plugins/geospatial/requirements.txt -r plugins/celery_jobs/requirements.txt
+... | bash |
d_bash_3457 | ---
+++
@@ -9,20 +9,20 @@
fi
echo "Creating temporary files"
-touch src/tmp.pyde
-echo "import launcher" >> src/tmp.pyde
-echo "launcher.create()" >> src/tmp.pyde
-cat src/agar.pyde >> src/tmp.pyde
+touch agar/tmp.pyde
+echo "import launcher" >> agar/tmp.pyde
+echo "launcher.create()" >> agar/tmp.pyde
+cat agar... | bash |
d_bash_3458 | ---
+++
@@ -10,6 +10,8 @@
git config --global user.email $GIT_EMAIL
git config --global user.name $GIT_USERNAME
+ssh-keyscan github.com >> ~/.ssh/known_hosts
+
if [ -z "$(gem fetch license_finder -v $build_version 2>&1 | grep ERROR)" ]; then
echo "LicenseFinder-$build_version already exists on Rubygems"
ex... | bash |
d_bash_3459 | ---
+++
@@ -7,6 +7,7 @@
$src/install/brew
$src/install/git
$src/install/rvm
+$src/install/tmux
echo "\nDone!"
echo "\nAnd if you want to install vim, run:" | bash |
d_bash_3460 | ---
+++
@@ -10,9 +10,15 @@
child_pid=$!
for x in $(seq 50); do
- sed -e 's,Serving HTTP on 0.0.0.0 port \([0-9]*\) \.\.\.,\1,' < ${test_tmpdir}/httpd-output > ${test_tmpdir}/httpd-port
- if ! cmp ${test_tmpdir}/httpd-output ${test_tmpdir}/httpd-port 1>/dev/null; then
- break
+ # Snapshot the outpu... | bash |
d_bash_3461 | ---
+++
@@ -7,6 +7,7 @@
#
# NOTE: Python appears to only allow one cgi session
# at a time, so streaming is limited to one
-# browser.
+# browser. If you know how to make this multi-thread,
+# could you let me know.
python -m CGIHTTPServer 8000 | bash |
d_bash_3462 | ---
+++
@@ -1,4 +1,11 @@
#!/usr/bin/env bash
+
+# Install our version of Node
+set -ex
+brew uninstall node@6
+NODE_VERSION="9.4.0"
+curl "https://nodejs.org/dist/v${NODE_VERSION}/node-v${NODE_VERSION}.pkg" > "$HOME/Downloads/node-installer.pkg"
+sudo installer -store -pkg "$HOME/Downloads/node-installer.pkg" -targe... | bash |
d_bash_3463 | ---
+++
@@ -8,7 +8,7 @@
cd $p
for pkg in *; do
- deps=$(cat $pkg/build | sed -n '1{x;d};${H;x;s/\\\n\t/ /g;p};{H}' | grep ^build: | cut -d ':' -f 2-)
+ deps=$(cat $pkg/build | sed -e 'N;s,\\\n, ,' | grep ^build: | cut -d ':' -f 2-)
fdeps=`for d in $deps; do echo -n "$d-fetch "; done`
cat $pkg/build $f/fetch-p... | bash |
d_bash_3464 | ---
+++
@@ -10,8 +10,8 @@
alias ls='ls --group-directories-first --color=auto'
fi
-alias ll='ls -lh'
-alias la='ls -lha'
+alias ll='ls -lNh'
+alias la='ls -lNha'
alias ..='cd ..'
function cdls() { | bash |
d_bash_3465 | ---
+++
@@ -13,9 +13,8 @@
onedarkish_iterm="$cur_dir/onedarkish.itermcolors"
if [ -f "$onedarkish_iterm" ]; then
defaults write -app iTerm 'Custom Color Presets' -dict-add "onedarkish" "$(cat "$onedarkish_iterm")"
- # TODO: apply this theme
fi
- # TODO: Add other iterm settings
+ ... | bash |
d_bash_3466 | ---
+++
@@ -10,4 +10,9 @@
# Run the tests
echo "--> Running tests"
-go list ./... | grep -v '/vendor/' | sudo -E PATH=$TEMPDIR:$PATH go test ${GOTEST_FLAGS:--cover -timeout=900s -v}
+printf "go(1) path: %s\n" "`which go`"
+go list ./... | grep -v '/vendor/' | \
+ sudo \
+ -E PATH=$TEMPDIR:$PATH \
+ ... | bash |
d_bash_3467 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash -eux
-rpm -q rdo-release || yum install -y https://www.rdoproject.org/repos/rdo-release.rpm
+rpm -q rdo-release || yum install -y https://repos.fedorapeople.org/repos/openstack/openstack-liberty/rdo-release-liberty-2.noarch.rpm
rpm -q openstack-packstack || yum install -y opens... | bash |
d_bash_3468 | ---
+++
@@ -4,6 +4,7 @@
git remote rm origin
git remote add origin git@github.com:Benoth/dotfiles.git
git push origin master
+git branch --set-upstream-to=origin/master master
echo ""
echo "Do not forget to add in ~/.ssh/config :" | bash |
d_bash_3469 | ---
+++
@@ -36,7 +36,7 @@
dotnet_version=$(dotnet --version)
if [ "$dotnet_version" != "$CLI_VERSION" ]; then
- curl -sSL https://raw.githubusercontent.com/dotnet/cli/v$dotnet_version/scripts/obtain/dotnet-install.sh | bash /dev/stdin --version "$CLI_VERSION" --install-dir "$DOTNET_INSTALL_DIR"
+ curl -sSL ... | bash |
d_bash_3470 | ---
+++
@@ -28,5 +28,4 @@
git add --all
git commit -m "Deploy code docs to GitHub Pages"
-git push --force "https://${GH_REPO_TOKEN}github.com/LukasWoodtli/DesignByContractPlusPlus.git" > /dev/null 2>&1
-
+git push --force --quiet "https://${GH_REPO_TOKEN}@github.com/LukasWoodtli/DesignByContractPlusPlus" master:... | bash |
d_bash_3471 | ---
+++
@@ -3,6 +3,8 @@
set -eux
apt-get purge -qq '^mysql*' '^libmysql*'
+rm -fr /etc/mysql
+rm -fr /var/lib/mysql
apt-key adv --keyserver pgp.mit.edu --recv-keys 5072E1F5
add-apt-repository 'deb http://repo.mysql.com/apt/ubuntu/ trusty mysql-5.7'
apt-get update -qq | bash |
d_bash_3472 | ---
+++
@@ -5,6 +5,7 @@
alias onoz='cat /var/log/errors.log'
alias rtfm='man'
+alias :3='echo'
alias visible='echo'
alias invisible='cat'
alias moar='more' | bash |
d_bash_3473 | ---
+++
@@ -16,7 +16,7 @@
test_stbt_run() {
echo "Testing stbt run:"
- run stbt run --source-pipeline=videotestsrc test-wait_for_match.py
+ run stbt-run --source-pipeline=videotestsrc --control=None test-wait_for_match.py
}
run() { | bash |
d_bash_3474 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/bash
set -ex -o pipefail
-BCBIO_VERSION="1.0.4"
-BCBIO_REVISION="v1.0.4"
+BCBIO_VERSION="1.0.5a"
+BCBIO_REVISION="4a4b8de"
NS="quay.io/bcbio"
TAG="${BCBIO_VERSION}-${BCBIO_REVISION}"
| bash |
d_bash_3475 | ---
+++
@@ -9,7 +9,7 @@
| grep -v barista/samples \
| tac \
| xargs -n1 -P4 -IPKG sh -c \
-'go test -v -coverprofile=profiles/$(echo "PKG" | sed "s|/|_|g").out -race -covermode=atomic "PKG"'
+'go test -coverprofile=profiles/$(echo "PKG" | sed "s|/|_|g").out -race -covermode=atomic "PKG"'
# Debug log tests need ... | bash |
d_bash_3476 | ---
+++
@@ -2,6 +2,7 @@
KNOWN_QMAKE_PATHS=( \
/Users/Alex/QtSDK/Desktop/Qt/4.8.1/gcc/bin \
/Users/siarheirachytski/QtSDK/Desktop/Qt/474/gcc/bin \
+ /Developer/QtSDK/Desktop/Qt/4.8.0/gcc/bin \
)
# Prints path to directory with found qmake binary or prints nothing if not found | bash |
d_bash_3477 | ---
+++
@@ -1,4 +1,4 @@
#!/usr/bin/env bash
rm -rf build dist
-python setup.py clean sdist bdist_wheel upload -r pypi
+python3 setup.py clean sdist bdist_wheel upload -r pypi | bash |
d_bash_3478 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash -e
-curl -sL https://github.com/mongodb/mongo-php-driver/archive/<%= @version %>.tar.gz | tar -xzf -
-cd mongo-php-driver-<%= @version %>/
+curl -sL https://github.com/mongodb/mongo-php-driver-legacy/archive/<%= @version %>.tar.gz | tar -xzf -
+cd mongo-php-driver-legacy-<%= @ve... | bash |
d_bash_3479 | ---
+++
@@ -22,3 +22,9 @@
rmvirtualenv() {
rm -r "$WORKON_HOME"/"$(basename "$PWD")"
}
+
+# Flushes all DNS caches for OS X 10.10.4 and onward
+flushdns() {
+ sudo dscacheutil -flushcache
+ sudo killall -HUP mDNSResponder
+} | bash |
d_bash_3480 | ---
+++
@@ -1,7 +1,4 @@
#!/bin/bash
-
-set -o nounset
-set -o errexit
cd "`dirname $0`"
| bash |
d_bash_3481 | ---
+++
@@ -44,6 +44,5 @@
echo "Starting tests..."
coverage run manage.py test
-coverage xml $(find ./ -name 'geodude.py')
echo "FIN" | bash |
d_bash_3482 | ---
+++
@@ -12,7 +12,7 @@
curl --fail -sS >/dev/null -F zone="$external_zone" -F token="$external_token" -F label="$label" "https://my-dns.org/api/update-record" || echo >&2 "Updating external DNS failed"
-ip="$(hostname -I | head -n 1)"
+ip="$(hostname -I | cut -d ' ' -f 1)"
if [[ -n "$ip" ]]; then
curl --fa... | bash |
d_bash_3483 | ---
+++
@@ -1,4 +1,4 @@
- #!/bin/bash
+#!/bin/bash
set -e
# Super simple release script for sitespeed.io
# Lets use it it for now and make it better over time :)
@@ -6,7 +6,7 @@
# npm install --global np
np $1
-PACKAGE_VERSION=$(grep -m1 version package.json | awk -F: '{ print $2 }' | sed 's/[", ]//g')
+PACKAG... | bash |
d_bash_3484 | ---
+++
@@ -3,8 +3,6 @@
if [ "$(uname)" == "Darwin" ]; then
brew update
- brew install bdw-gc
- brew link bdw-gc
brew install jq
brew install re2
brew install llvm | bash |
d_bash_3485 | ---
+++
@@ -45,11 +45,11 @@
if [ $numberOfArgs -gt 0 ]; then
-./bin/yarn-session.sh -n $numberOfTaskManger -tm $taskMangerMemory -s $processingSlots
+./bin/yarn-session.sh -n $numberOfTaskManger -tm $taskMangerMemory -s $processingSlots &
fi
-sleep 60
+sleep 90
jarFile=$(find $projectWorkDir/target/in-... | bash |
d_bash_3486 | ---
+++
@@ -13,8 +13,8 @@
# ------------------------------
# Replace this test.
-it_fails_without_a_real_test() {
- exit 1
+it_is_already_tested_by_baselib_tests() {
+ exit 0
}
# ------------------------------
| bash |
d_bash_3487 | ---
+++
@@ -11,6 +11,8 @@
git config --global user.name $GIT_USERNAME
git config --global push.default simple
+
+git chekcout master
mkdir ~/.ssh
ssh-keyscan github.com >> ~/.ssh/known_hosts | bash |
d_bash_3488 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-set -vx
+set -vxeu
# Default version of marathon to test against if not set by the user
[[ -f /root/marathon-version ]] && source /root/marathon-version | bash |
d_bash_3489 | ---
+++
@@ -9,7 +9,10 @@
if ../src/protoc --help > /dev/null; then
PROTOC=src/protoc
else
- (cd .. && bazel build -c opt :protoc)
+ # Bazel seems to be creating a problematic symlink in
+ # _build/out/external/com_google_protobuf, so we remove the _build directory
+ # before building protoc.
+ (cd .. && rm ... | bash |
d_bash_3490 | ---
+++
@@ -1,7 +1,21 @@
#!/bin/bash
cd "$(dirname ${BASH_SOURCE[0]})"
+
+echo "Building backwards-compatible tev..."
+mkdir build-dmg && cd build-dmg
+MACOSX_DEPLOYMENT_TARGET=10.9
+cmake \
+ -DCMAKE_OSX_SYSROOT=/Users/tom94/Projects/MacOSX-SDKs/MacOSX10.9.sdk/ \
+ -DCMAKE_OSX_DEPLOYMENT_TARGET=10.9 \
+ ... | bash |
d_bash_3491 | ---
+++
@@ -2,6 +2,15 @@
usage(){
cat $DSTA_HOME/doc/version.usage
+}
+
+local_version(){
+ cat $DST_HOME/steamapps/appmanifest_343050.acf | clean_version
+}
+
+upstream_version(){
+ rm -rf $STEAM_HOME/Steam/appcache/*
+ steamcmd +login anonymous +app_info_update 1 +app_info_print 343050 +quit | clean_version
}... | bash |
d_bash_3492 | ---
+++
@@ -12,7 +12,7 @@
check_for_cmd mongod
# Start MongoDB process for tests
-MONGO_DATA=`mktemp -d /tmp/CEILO-MONGODB-XXXXX`
+MONGO_DATA=`mktemp -d /tmp/AODH-MONGODB-XXXXX`
MONGO_PORT=29000
trap "clean_exit ${MONGO_DATA}" EXIT
mkfifo ${MONGO_DATA}/out | bash |
d_bash_3493 | ---
+++
@@ -11,7 +11,7 @@
echo "Uploading any matching releases..."
pushd bosh-release
- bosh upload-release "$RELEASES_GLOB"
+ bosh upload-release "$RELEASE"
popd
echo "All done." | bash |
d_bash_3494 | ---
+++
@@ -2,6 +2,7 @@
(
eval $(keychain --agents "gpg" --quiet --eval);
gpg-connect-agent updatestartuptty /bye;
+ export SSH_AUTH_SOCK="$HOME/.gnupg/S.gpg-agent.ssh"
export PS1='\[\e[31m\][YUBI]\[\e[0m\] \$ ';
bash
) | bash |
d_bash_3495 | ---
+++
@@ -13,7 +13,7 @@
if [ "${stat[0]}" != "0" ] && [ "${stat[1]}" != "0" ]; then
addgroup -S -g ${stat[0]} dogen
adduser -u ${stat[1]} -S -G dogen dogen
- sudo -E -u dogen /usr/bin/dogen $*
+ sudo -H -E -u dogen /usr/bin/dogen $*
else
/usr/bin/dogen "$@"
fi | bash |
d_bash_3496 | ---
+++
@@ -7,7 +7,7 @@
export GOOD=V8.11.2
export CONFIGURE_ARGS="-nodoc -coqide no"
export MAKE_TARGET="coqocaml theories/Init/Prelude.vo"
-export COQTOP_ARGS=""
+export COQTOP_ARGS=" "
export SWAP=
EOF
| bash |
d_bash_3497 | ---
+++
@@ -1 +1 @@
-xctool -workspace OperationCenter.xcworkspace -scheme OperationCenterTests test -sdk iphonesimulator7.0
+xctool -workspace Example/EEEOperationCenter.xcworkspace -scheme EEEOperationCenter test -sdk iphonesimulator7.0 | bash |
d_bash_3498 | ---
+++
@@ -17,7 +17,7 @@
if ! test -d "$f"; then
continue
fi
- unique_name=automount-$(echo "$f" | sha256sum | cut -f 1 -d ' ')
+ unique_name=automount$(systemd-escape "$f")
if test -e "/run/flatpak/sideload-repos/$unique_name"; then
continue
fi
@@ -25,7 +25,7 @@
done
... | bash |
d_bash_3499 | ---
+++
@@ -2,7 +2,7 @@
VER=`(cd ../../ ; python -c "from setuptools_scm import get_version ; print(get_version())")`
-echo "Building version: $VER"
+echo "Building version: $VER in $SRC_DIR"
-echo $VER > ../__conda_version__.txt
+echo $VER > $SRC_DIR/__conda_version__.txt
| bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.